import os
import pytest
import snippets
from io import StringIO
from eorg import tokens
from eorg.tokens import Token
from eorg.parser import parse
from eorg.parser import parse_text
from eorg.generate import html


def test_bullet_block():
    expected = """<ul class="browser-default"><li class="collection-item">Bullet 1</li><li class="collection-item">Bullet 2</li></ul>"""
    result = html(parse(snippets.bullet_plus_snippet).doc)
    assert result.read() == expected
